summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMamoru Komachi <usata@gentoo.org>2003-09-13 23:53:37 +0000
committerMamoru Komachi <usata@gentoo.org>2003-09-13 23:53:37 +0000
commit74a0624df6aaea51c5eeb45475e14de515b7aad8 (patch)
tree62655860a2bc53e0321a8ee6a8f8f81a595487f6 /eclass/iiimf.eclass
parentAdded doman, closing Bug #28616 (diff)
downloadhistorical-74a0624df6aaea51c5eeb45475e14de515b7aad8.tar.gz
historical-74a0624df6aaea51c5eeb45475e14de515b7aad8.tar.bz2
historical-74a0624df6aaea51c5eeb45475e14de515b7aad8.zip
Initial import
Diffstat (limited to 'eclass/iiimf.eclass')
-rw-r--r--eclass/iiimf.eclass48
1 files changed, 48 insertions, 0 deletions
diff --git a/eclass/iiimf.eclass b/eclass/iiimf.eclass
new file mode 100644
index 000000000000..0ec5a3eaec10
--- /dev/null
+++ b/eclass/iiimf.eclass
@@ -0,0 +1,48 @@
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/iiimf.eclass,v 1.1 2003/09/13 23:53:37 usata Exp $
+#
+# Author: Mamoru KOMACHI <usata@gentoo.org>
+#
+# The IIIMF eclass is used for compilation and installation of IIIMF
+# libraries, servers, clients and modules within the Portage system.
+#
+
+ECLASS=iiimf
+INHERITED="$INHERITED $ECLASS"
+EXPORT_FUNCTIONS src_compile src_install
+
+IMSDK_PV="r${PV/./_}"
+IMSDK_PN="im-sdk"
+IMSDK_P="${IMSDK_PN}.${IMSDK_PV}"
+IMSDK="${IMSDK_P//./-}"
+
+DESCRIPTION="Based on the $ECLASS eclass"
+HOMEPAGE="http://www.openi18n.org/subgroups/im/IIIMF/"
+SRC_URI="http://www.openi18n.org/download/docs/im-sdk/${IMSDK_P}.tar.bz2"
+
+LICENSE="MIT X"
+KEYWORDS="" # set this!
+SLOT="0"
+
+IUSE="debug"
+
+newdepend "virtual/glibc"
+
+S="${WORKDIR}/${IMSDK}/${PN}"
+
+iiimf_src_compile() {
+
+ econf --enable-optimize \
+ `use_enable debug` || die
+ # emake doesn't work on some libraries
+ make || die
+}
+
+iiimf_src_install() {
+
+ einstall || die
+
+ dodoc ChangeLog
+}
+